## cl-sql 6.4.1

=== Makefile ===
#!/usr/bin/make
##########################################################################
# FILE IDENTIFICATION
# 
#  Name:         Makefile
#  Purpose:      Makefile for the CLSQL package
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
# This file, part of CLSQL, is Copyright (c) 2002-2010 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
##########################################################################


PKG	:= clsql
DEBPKG	:= cl-sql
SUBDIRS	:= sql tests uffi db-mysql db-aodbc db-odbc \
	   db-postgresql db-postgresql-socket db-sqlite \
           db-oracle 
DOCSUBDIRS:=doc

include Makefile.common

LIBSUBDIRS=db-mysql uffi
.PHONY: subdirs $(LIBSUBDIRS)

.PHONY: all
all: $(LIBSUBDIRS)

$(LIBSUBDIRS):
	$(MAKE) -C $@

SOURCE_FILES=interfaces sql cmucl-compat doc test-suite Makefile VERSION \
	COPYING.CLSQL COPYING.MaiSQL README INSTALL ChangeLog NEWS TODO \
	set-logical.cl clsql-uffi.system \
	clsql.system clsql-aodbc.system clsql-mysql.system \
	clsql-postgresql.system clsql-postgresql-socket.system

.PHONY: doc
doc:
	$(MAKE) -C doc

.PHONY:dist
dist: clean
	@$(MAKE) -C doc $@

=== db-db2/Makefile ===
#!/usr/bin/make
##########################################################################
# FILE IDENTIFICATION
#
#  Name:    Makefile
#  Purpose: Makefile for CLSQL Db2 interface
#  Author:  Kevin M. Rosenberg
#  Created: May 2004
#
# This file, part of CLSQL, is Copyright (c) 2004 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
##########################################################################


SUBDIRS=

include ../Makefile.common

.PHONY: distclean
distclean: clean

=== db-mysql/Makefile ===
#!/usr/bin/make
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for CLSQL MySQL interface
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
# This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS=

include ../Makefile.common

base=clsql_mysql
source=$(base).c
object=$(base).o
shared_lib=$(base).so
shared64_lib=$(base)64.so
dylib=$(base).dylib

.PHONY: all
all: $(shared_lib)

CFLAGS=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql5/mysql -I /usr/local/mysql/include
LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib64/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/opt/local/lib/mysql5/mysql -L/usr/local/mysql/lib -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc

CFLAGS32=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql5/mysql -I /usr/local/mysql/include -m32
LDFLAGS32=-L/lib32 -L/usr/lib32 -melf_i386 -lmysqlclient -lz -lc

ifneq ($(OS_CYGWIN),0)
  CFLAGS=-I /cygdrive/c/Program\ Files/MySQL/MySQL\ Server\ 5.0/include
  LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lpthread -lz -lm -lgcc -lc
endif

$(shared_lib): $(source) Makefile
ifneq ($(OS_AIX),0)
	gcc $(CFLAGS) -c -D_BSD -D_NO_PROTO -D_NONSTD_TYPES -D_MBI=void $(source)
	make_shared $(LDFLAGS) -o $(shared_lib) $(object)
else
  ifneq ($(OS_SUNOS),0)
	cc $(CFLAGS) -KPIC -c $(source) -o $(object)
	cc -G $(object) $(LDFLAGS) -o $(shared_lib)
  else
    ifneq ($(OS_DARWIN64),0)
	cc $(CFLAGS) -arch x86_64 -arch i386 -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress $(source) -o $(dylib)
	cc -arch x86_64 -arch i386 -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress /usr/lib/libz.dylib -o z.dylib
    else
      ifneq ($(OS_DARWIN),0)
	cc $(CFLAGS) -arch i386 -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress $(source) -o $(dylib)
	cc -arch i386 -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress /usr/lib/libz.dylib -o z.dylib
      else
        ifneq ($(OS_CYGWIN),0)
	  gcc $(CFLAGS) -DWIN32 -c $(source) -o $(object)
	  ld -shared -soname=$(base)  $(object) $(LDFLAGS) -o $(shared_lib)
        else
          ifneq ($(OS_LINUX64),0)
	    gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
	    ld -shared -soname=$(base) $(object) $(LDFLAGS) -o $(shared64_lib)
	    rm $(object)
	    @echo "Ensure that you have multiarch i386 build tools and libraries if you want to build 32-bit library"
	    -gcc $(CFLAGS32) -fPIC -c $(source) -o $(object)
	    -ld -shared -soname=$(base) $(object) $(LDFLAGS32) -o $(shared_lib)
          else
	    gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
	    ld -shared -soname=$(base) $(object) $(LDFLAGS) -o $(shared_lib)
          endif
        endif
      endif
    endif
  endif
endif
	rm -f $(object)

.PHONY: distclean
distclean: clean
	@rm -f $(dylib) $(shared_lib) $(shared64_lib) $(object) z.dylib

=== db-odbc/Makefile ===
#!/usr/bin/make
##########################################################################
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for CLSQL SQL interface
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
# This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
##########################################################################


SUBDIRS=

include ../Makefile.common

.PHONY: distclean
distclean: clean

=== uffi/Makefile ===
#!/usr/bin/make
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for CLSQL UFFI interface
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
# This file, part of CLSQL, is Copyright (c) 2002-2006 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS=

include ../Makefile.common

base=clsql_uffi
source=$(base).c
object=$(base).o
shared_lib=$(base).so
shared64_lib=$(base)64.so
dylib=$(base).dylib

.PHONY: all
all: $(shared_lib)

$(shared_lib): $(source) Makefile
ifneq ($(OS_AIX),0)
	gcc -c -D_BSD -D_NO_PROTO -D_NONSTD_TYPES -D_MBI=void $(source)
	make_shared -o $(shared_lib) $(object)
else
  ifneq ($(OS_SUNOS),0)
	cc -KPIC -c $(source) -o $(object)
	cc -G $(object) -o $(shared_lib)
  else
    ifneq ($(OS_DARWIN64),0)
	cc -arch x86_64 -arch i386 -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress $(source) -o $(dylib)
	cc -arch x86_64 -arch i386 -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress /usr/lib/libz.dylib -o z.dylib
    else
      ifneq ($(OS_DARWIN),0)
	  cc -arch i386 -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress $(source) -o $(dylib)
	  cc -arch i386 -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress /usr/lib/libz.dylib -o z.dylib
      else
        ifneq ($(OS_CYGWIN),0)
	  gcc -c $(source) -o $(object)
	  ld -shared -soname=$(base) $(LDFLAGS) $(object) -o $(shared_lib)
        else
          ifneq ($(OS_LINUX64),0)
	    gcc -fPIC -DPIC -c $(source) -o $(object)
	    ld -shared -soname=$(base) -lc $(object) -o $(shared64_lib)
	    rm -f $(object)
	    @echo "Ensure that you have multiarch i386 build tools if you want to build 32-bit library"
	    -gcc -m32 -fPIC -DPIC -c $(source) -o $(object)
	    -ld -melf_i386 -shared -soname=$(base) -lc $(object) -o $(shared_lib)
          else
	    gcc -fPIC -DPIC -c $(source) -o $(object)
	    ld -shared -soname=$(base) -lc $(object) -o $(shared_lib)
        endif
      endif
    endif
  endif
endif
endif
	rm -f $(object)


.PHONY: distclean
distclean: clean
	@rm -f $(dylib) $(shared_lib) $(shared64_lib) $(object) z.dylib

=== examples/sqlite3/init-func/Makefile ===
#!/usr/bin/make
##########################################################################
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for SQLite 3 init function example.
#  Programer:    Aurelio Bignoli
#  Date Started: Oct 2004
#
# This file, part of CLSQL, is Copyright (c) 2004 by Aurelio Bignoli
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
##########################################################################


sqlite3-utils.so:	iso-8859-15-coll.c Makefile
	gcc -c -fPIC iso-8859-15-coll.c -o iso-8859-15-coll.o
	gcc -shared iso-8859-15-coll.o -o sqlite3-utils.so -l sqlite3

=== debian/changelog ===
cl-sql (6.4.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 18 Apr 2013 11:21:25 -0600

=== debian/control ===
Source: cl-sql
Section: lisp
Priority: extra
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: dh-lisp, debhelper (>= 7.0.0), libmysqlclient-dev, libpq-dev
Standards-Version: 3.9.4.0
Homepage: http://clsql.b9.com/
Vcs-Git: git://git.b9.com/clsql.git
Vcs-Browser: http://git.b9.com/?p=clsql.git

Package: cl-sql
Architecture: all
Depends: ${misc:Depends}
Recommends: cl-sql-backend
Description: SQL Interface for Common Lisp
 CLSQL is a Common Lisp interface for multiple SQL databases
 on multiple Common Lisp implementations. It uses the UFFI
 foreign language interface.

Package: cl-sql-uffi
Architecture: any
Depends: cl-uffi (>= 1.5.11), cl-sql (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: cl-sql-backend
Description: Common UFFI functions for CLSQL database backends
 This package provides an interface to several UFFI functions used by multiple
 CLSQL database backends.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-mysql
Architecture: any
Depends: cl-sql (= ${source:Version}), cl-sql-uffi (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libmysqlclient-dev
Provides: cl-sql-backend
Description: CLSQL database backend, MySQL
 This package enables you to use the CLSQL data access package
 with MySQL databases.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-aodbc
Architecture: all
Depends: cl-sql (= ${source:Version}), cl-sql-mysql, cl-sql-postgresql, ${misc:Depends}
Provides: cl-sql-backend
Suggests: acl-pro-installer
Description: CLSQL database backend, AODBC
 This package enables you to use the CLSQL data access package
 with AllegroCL's AODBC databases.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-odbc
Architecture: all
Depends: cl-sql (= ${source:Version}), unixodbc-dev, cl-sql-mysql, cl-sql-postgresql, ${misc:Depends}
Provides: cl-sql-backend
Suggests: acl-pro-installer
Description: CLSQL database backend, ODBC
 This package enables you to use the CLSQL data access package
 with ODBC databases.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-postgresql
Architecture: all
Depends: cl-sql (= ${source:Version}), libpq-dev, cl-sql-uffi (>= ${source:Version}), ${misc:Depends}
Provides: cl-sql-backend
Description: CLSQL database backend, PostgreSQL via library
 This package enables you to use the CLSQL data access package
 with PostgreSQL databases using the PostgreSQL client library.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-postgresql-socket
Architecture: all
Depends: cl-sql (= ${source:Version}), cl-md5, cl-sql-uffi (>= ${source:Version}), libc6-dev, ${misc:Depends}
Provides: cl-sql-backend
Description: CLSQL database backend, PostgreSQL via sockets
 This package enables you to use the CLSQL data access package
 with PostgreSQL databases via a socket interface to the PostgreSQL
 server.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-sqlite
Architecture: all
Depends: cl-sql (= ${source:Version}), libsqlite0-dev, cl-sql-uffi (>= ${source:Version}), ${misc:Depends}
Provides: cl-sql-backend
Description: CLSQL database backend, SQLite
 This package enables you to use the CLSQL data access package
 with SQLite databases. 
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-sqlite3
Architecture: all
Depends: cl-sql (= ${source:Version}), libsqlite3-dev, cl-sql-uffi (>= ${source:Version}), ${misc:Depends}
Provides: cl-sql-backend
Description: CLSQL database backend, SQLite3
 This package enables you to use the CLSQL data access package
 with SQLite3 databases. 
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-oracle
Section: contrib/lisp
Architecture: all
Depends: cl-sql (= ${source:Version}), cl-sql-uffi (>= ${source:Version}), ${misc:Depends}
Provides: cl-sql-backend
Description: CLSQL database backend, Oracle
 This package enables you to use the CLSQL data access package
 with Oracle databases.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-tests
Architecture: all
Depends: cl-sql, cl-sql-postgresql, cl-sql-postgresql-socket, cl-sql-mysql, cl-sql-sqlite, cl-sql-odbc, cl-rt, ${misc:Depends}
Suggests: acl-installer, libmyodbc, unixodbc,cl-sql-aodbc 
Description: Testing suite for CLSQL
 This package contains a test suite for CLSQL. It requires manual
 configuration of MySQL and PostgreSQL databases to execute.
 A configured, licensed version of AllegroCL with ODBC setup is
 required to test the clsql-aodbc interface. See the
 /usr/share/doc/cl-sql-tests/README file if you want to try
 running these regression tests.

=== debian/rules ===
#!/usr/bin/make -f

plain-pkg	:= clsql

pkg		:= cl-sql
pkg-uffi	:= cl-sql-uffi
pkg-mysql	:= cl-sql-mysql
pkg-pg		:= cl-sql-postgresql
pkg-pg-socket	:= cl-sql-postgresql-socket
pkg-aodbc	:= cl-sql-aodbc
pkg-odbc	:= cl-sql-odbc
pkg-sqlite	:= cl-sql-sqlite
pkg-sqlite3	:= cl-sql-sqlite3
pkg-oracle	:= cl-sql-oracle
pkg-tests	:= cl-sql-tests
all-pkgs	:= $(pkg) $(pkg-uffi) $(pkg-mysql) $(pkg-pg) $(pkg-pg-socket) $(pkg-aodbc) $(pkg-odbc) $(pkg-sqlite) $(pkg-sqlite3) $(pkg-tests)


UPSTREAM_VER	:= $(shell sed -n -e "s/${pkg} (\(.*\)-[0-9A-Za-z\.]).*/\1/p" < debian/changelog |head -1)

## Lisp sources
srcs-sql	:= $(wildcard sql/*.lisp)
srcs-uffi	:= $(wildcard uffi/*.lisp) $(wildcard uffi/*.c)
srcs-uffi-so	= $(wildcard uffi/*.so)
srcs-mysql	:= $(wildcard db-mysql/*.lisp) $(wildcard db-mysql/*.c)
srcs-mysql-so	=  $(wildcard db-mysql/*.so)
srcs-pg		:= $(wildcard db-postgresql/*.lisp)
srcs-pg-socket	:= $(wildcard db-postgresql-socket/*.lisp)
srcs-aodbc	:= $(wildcard db-aodbc/*.lisp)
srcs-odbc	:= $(wildcard db-odbc/*.lisp)
srcs-sqlite	:= $(wildcard db-sqlite/*.lisp)
srcs-sqlite3	:= $(wildcard db-sqlite3/*.lisp)
srcs-oracle	:= $(wildcard db-oracle/*.lisp)
srcs-tests	:= $(wildcard tests/*.lisp)

clc-base	:= usr/share/common-lisp
clc-source	:= $(clc-base)/source
clc-systems	:= $(clc-base)/systems
doc-dir		:= usr/share/doc/cl-sql

clc-clsql	:= $(clc-source)/$(plain-pkg)

clc-sql		:= $(clc-source)/clsql
lispdir-sql	:= $(clc-sql)/sql
clc-uffi	:= $(clc-source)/clsql-uffi
lispdir-uffi 	:= $(clc-uffi)/uffi
sodir-uffi 	:= usr/lib/clsql
clc-mysql	:= $(clc-source)/clsql-mysql
lispdir-mysql	:= $(clc-mysql)/db-mysql
sodir-mysql	:= usr/lib/clsql
clc-pg		:= $(clc-source)/clsql-postgresql
lispdir-pg	:= $(clc-pg)/db-postgresql
clc-pg-socket 	:= $(clc-source)/clsql-postgresql-socket
lispdir-pg-socket := $(clc-pg-socket)/db-postgresql-socket
clc-aodbc	:= $(clc-source)/clsql-aodbc
lispdir-aodbc	:= $(clc-aodbc)/db-aodbc
clc-odbc	:= $(clc-source)/clsql-odbc
lispdir-odbc	:= $(clc-odbc)/db-odbc
clc-sqlite	:= $(clc-source)/clsql-sqlite
lispdir-sqlite	:= $(clc-sqlite)/db-sqlite
clc-sqlite3	:= $(clc-source)/clsql-sqlite3
lispdir-sqlite3	:= $(clc-sqlite3)/db-sqlite3
clc-oracle	:= $(clc-source)/clsql-oracle
lispdir-oracle	:= $(clc-oracle)/db-oracle
clc-tests	:= $(clc-source)/clsql-tests
lispdir-tests	:= $(clc-tests)/tests


build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	# env LDFLAGS=`pkg-buildflags --get LDFLAGS` $(MAKE)
	$(MAKE)
	touch build-arch-stamp

build-indep:

build: build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	find . -type f -and -name \*~ -or -name .\*~ -exec rm -f {} \;
	rm -rf doc/html
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	dh_installdirs --all $(clc-source)
	dh_installdirs -p $(pkg) $(lispdir-sql) etc
	dh_installdirs -p $(pkg-uffi) $(lispdir-uffi) $(sodir-uffi)
	dh_installdirs -p $(pkg-pg) $(lispdir-pg)
	dh_installdirs -p $(pkg-pg-socket) $(lispdir-pg-socket)
	dh_installdirs -p $(pkg-mysql) $(lispdir-mysql) $(sodir-mysql)
	dh_installdirs -p $(pkg-aodbc) $(lispdir-aodbc)
	dh_installdirs -p $(pkg-odbc) $(lispdir-odbc)
	dh_installdirs -p $(pkg-sqlite) $(lispdir-sqlite)
	dh_installdirs -p $(pkg-sqlite3) $(lispdir-sqlite3)
	dh_installdirs -p $(pkg-oracle) $(lispdir-oracle)
	dh_installdirs -p $(pkg-tests) $(lispdir-tests)

	# Main package
	dh_install -p $(pkg) $(srcs-sql) $(lispdir-sql)
	dh_install -p $(pkg) clsql.asd $(clc-clsql)
	dh_install -p $(pkg) debian/clsql-init.lisp etc

	# UFFI
	dh_install -p $(pkg-uffi) $(srcs-uffi) $(lispdir-uffi)
	dh_install -p $(pkg-uffi) $(srcs-uffi-so) $(sodir-uffi)
	dh_install -p $(pkg-uffi) clsql-uffi.asd $(clc-uffi)

	# Backends
	dh_install -p $(pkg-mysql) $(srcs-mysql) $(lispdir-mysql)
	dh_install -p $(pkg-mysql) clsql-mysql.asd $(clc-mysql)
	dh_install -p $(pkg-mysql) $(srcs-mysql-so) $(sodir-mysql)
	dh_install -p $(pkg-pg) $(srcs-pg) $(lispdir-pg)
	dh_install -p $(pkg-pg) clsql-postgresql.asd $(clc-pg)
	dh_install -p $(pkg-pg-socket) $(srcs-pg-socket) $(lispdir-pg-socket)
	dh_install -p $(pkg-pg-socket) clsql-postgresql-socket.asd $(clc-pg-socket)
	dh_install -p $(pkg-aodbc) $(srcs-aodbc) $(lispdir-aodbc)
	dh_install -p $(pkg-aodbc) clsql-aodbc.asd $(clc-aodbc)
	dh_install -p $(pkg-odbc) $(srcs-odbc) $(lispdir-odbc)
	dh_install -p $(pkg-odbc) clsql-odbc.asd $(clc-odbc)
	dh_install -p $(pkg-sqlite) $(srcs-sqlite) $(lispdir-sqlite)
	dh_install -p $(pkg-sqlite) clsql-sqlite.asd $(clc-sqlite)
	dh_install -p $(pkg-sqlite3) $(srcs-sqlite3) $(lispdir-sqlite3)
	dh_install -p $(pkg-sqlite3) clsql-sqlite3.asd $(clc-sqlite3)
	dh_install -p $(pkg-oracle) $(srcs-oracle) $(lispdir-oracle)
	dh_install -p $(pkg-oracle) clsql-oracle.asd $(clc-oracle)

	dh_install -p $(pkg-tests) $(srcs-tests) $(lispdir-tests)
	dh_install -p $(pkg-tests) clsql-tests.asd $(clc-tests)

	# Documentation
	rm -rf doc/html
	(cd doc; tar xzf html.tar.gz; cd ..)

binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i -p $(pkg) doc/html doc/clsql.pdf
	dh_installexamples -i -p $(pkg) examples/*
	dh_installchangelogs -i
	dh_lisp -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installchangelogs -a
	dh_lisp -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch


.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://files.b9.com/clsql/clsql-([\d\.]*)\.tar\.gz	debian	uupdate

## cl-sql 6.5.0

=== db-mysql/Makefile ===
--- 
+++ 
@@ -26,15 +26,19 @@
 .PHONY: all
 all: $(shared_lib)
 
-CFLAGS=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql5/mysql -I /usr/local/mysql/include
-LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib64/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/opt/local/lib/mysql5/mysql -L/usr/local/mysql/lib -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc
+CFLAGS:=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql55/mysql -I /usr/local/mysql/include
+LDFLAGS:=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib64/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/opt/local/lib/mysql5/mysql -L/usr/local/mysql/lib -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc
 
-CFLAGS32=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql5/mysql -I /usr/local/mysql/include -m32
-LDFLAGS32=-L/lib32 -L/usr/lib32 -melf_i386 -lmysqlclient -lz -lc
+CFLAGS32:=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql5/mysql -I /usr/local/mysql/include -m32
+LDFLAGS32:=-L/lib32 -L/usr/lib32 -melf_i386 -lmysqlclient -lz -lc
 
 ifneq ($(OS_CYGWIN),0)
-  CFLAGS=-I /cygdrive/c/Program\ Files/MySQL/MySQL\ Server\ 5.0/include
-  LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lpthread -lz -lm -lgcc -lc
+  CFLAGS:=-I /cygdrive/c/Program\ Files/MySQL/MySQL\ Server\ 5.0/include
+  LDFLAGS:=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lpthread -lz -lm -lgcc -lc
+endif
+ifneq ($(OS_DPKG_BUILDFLAGS),0)
+  CFLAGS:=$(CFLAGS) $(shell dpkg-buildflags --get CFLAGS)
+  LDFLAGS:=$(LDFLAGS) $(shell dpkg-buildflags --get LDFLAGS | sed "/-Wl,\(.*\)/ s//\1/")
 endif
 
 $(shared_lib): $(source) Makefile
@@ -60,7 +64,7 @@
         else
           ifneq ($(OS_LINUX64),0)
 	    gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
-	    ld -shared -soname=$(base) $(object) $(LDFLAGS) -o $(shared64_lib)
+	    ld $(LDFLAGS) -shared -soname=$(base) $(object) -o $(shared64_lib)
 	    rm $(object)
 	    @echo "Ensure that you have multiarch i386 build tools and libraries if you want to build 32-bit library"
 	    -gcc $(CFLAGS32) -fPIC -c $(source) -o $(object)

=== uffi/Makefile ===
--- 
+++ 
@@ -22,6 +22,12 @@
 shared_lib=$(base).so
 shared64_lib=$(base)64.so
 dylib=$(base).dylib
+
+ifneq ($(OS_DPKG_BUILDFLAGS),0)
+  CFLAGS:=$(CFLAGS) $(shell dpkg-buildflags --get CFLAGS)
+  LDFLAGS:=$(LDFLAGS) $(shell dpkg-buildflags --get LDFLAGS | sed "/-Wl,\(.*\)/ s//\1/")
+endif
+
 
 .PHONY: all
 all: $(shared_lib)
@@ -48,12 +54,12 @@
 	  ld -shared -soname=$(base) $(LDFLAGS) $(object) -o $(shared_lib)
         else
           ifneq ($(OS_LINUX64),0)
-	    gcc -fPIC -DPIC -c $(source) -o $(object)
-	    ld -shared -soname=$(base) -lc $(object) -o $(shared64_lib)
+	    gcc $(CFLAGS) -fPIC -DPIC -c $(source) -o $(object)
+	    ld $(LDFLAGS) -shared -soname=$(base) -lc $(object) -o $(shared64_lib)
 	    rm -f $(object)
 	    @echo "Ensure that you have multiarch i386 build tools if you want to build 32-bit library"
-	    -gcc -m32 -fPIC -DPIC -c $(source) -o $(object)
-	    -ld -melf_i386 -shared -soname=$(base) -lc $(object) -o $(shared_lib)
+	    -gcc -m32 $(CFLAGS) -fPIC -DPIC -c $(source) -o $(object)
+	    -ld -melf_i386 $(LDFLAGS) -shared -soname=$(base) -lc $(object) -o $(shared_lib)
           else
 	    gcc -fPIC -DPIC -c $(source) -o $(object)
 	    ld -shared -soname=$(base) -lc $(object) -o $(shared_lib)

=== debian/changelog ===
cl-sql (6.5.0-1ubuntu1) utopic; urgency=medium

  * Changes link process for linux systems to allow the use of standard LDFLAGS (ld -> gcc)

 -- Pierre-André MOREY <pierreandre.morey@canonical.com>  Tue, 15 Jul 2014 16:05:34 +0100

cl-sql (6.5.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 04 Mar 2014 10:10:27 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: cl-sql
 Section: lisp
 Priority: extra
-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
 Build-Depends: dh-lisp, debhelper (>= 7.0.0), libmysqlclient-dev, libpq-dev
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.5.0
 Homepage: http://clsql.b9.com/
 Vcs-Git: git://git.b9.com/clsql.git
 Vcs-Browser: http://git.b9.com/?p=clsql.git

## cl-sql 6.6.3

=== db-mysql/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 LDFLAGS:=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib64/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/opt/local/lib/mysql5/mysql -L/usr/local/mysql/lib -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc
 
 CFLAGS32:=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql5/mysql -I /usr/local/mysql/include -m32
-LDFLAGS32:=-L/lib32 -L/usr/lib32 -melf_i386 -lmysqlclient -lz -lc
+LDFLAGS32:=-L/lib32 -L/usr/lib32 -lmysqlclient -lz -lc
 
 ifneq ($(OS_CYGWIN),0)
   CFLAGS:=-I /cygdrive/c/Program\ Files/MySQL/MySQL\ Server\ 5.0/include
@@ -38,7 +38,7 @@
 endif
 ifneq ($(OS_DPKG_BUILDFLAGS),0)
   CFLAGS:=$(CFLAGS) $(shell dpkg-buildflags --get CFLAGS)
-  LDFLAGS:=$(LDFLAGS) $(shell dpkg-buildflags --get LDFLAGS | sed "/-Wl,\(.*\)/ s//\1/")
+  LDFLAGS:=$(LDFLAGS) $(shell env DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie dpkg-buildflags --get LDFLAGS | sed "s/-Wl\|,/ /ig")
 endif
 
 $(shared_lib): $(source) Makefile
@@ -64,14 +64,14 @@
         else
           ifneq ($(OS_LINUX64),0)
 	    gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
-	    ld $(LDFLAGS) -shared -soname=$(base) $(object) -o $(shared64_lib)
+	    gcc $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) -o $(shared64_lib)
 	    rm $(object)
 	    @echo "Ensure that you have multiarch i386 build tools and libraries if you want to build 32-bit library"
 	    -gcc $(CFLAGS32) -fPIC -c $(source) -o $(object)
-	    -ld -shared -soname=$(base) $(object) $(LDFLAGS32) -o $(shared_lib)
+	    -gcc $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) $(LDFLAGS32) -o $(shared_lib)
           else
 	    gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
-	    ld -shared -soname=$(base) $(object) $(LDFLAGS) -o $(shared_lib)
+	    gcc -m32 $(LDFLAGS) -fPIC  -shared -Wl,-soname=$(base) -lc $(object) $(LDFLAGS) -o $(shared_lib)
           endif
         endif
       endif

=== debian/changelog ===
cl-sql (6.6.3-3) unstable; urgency=medium

  * debian/rules: Separate install target to install-indep and
    install-arch (closes:806609)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 10 Dec 2015 12:35:59 -0700

cl-sql (6.6.3-2) unstable; urgency=medium

  * Improve building/linking on non-AMD64 architectures, thanks to
  Edmund Grimley Evans and Dejan Latinovic (closes:798017)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 10 Dec 2015 12:10:32 -0700

cl-sql (6.6.3-1) unstable; urgency=medium

  * New upstream
  * Use gcc for linking (closes:755064)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 29 Aug 2015 18:13:55 -0600

cl-sql (6.6.2-1) unstable; urgency=medium

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 30 Mar 2015 14:46:53 -0600

cl-sql (6.6.1-1) unstable; urgency=medium

  * {uffi,db-mysql}/Makefile: Change build hardening to +all,-pie

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Mar 2015 21:30:11 -0600

cl-sql (6.6.0-1) unstable; urgency=medium

  * New upstream
  * {uffi,db-mysql}/Makefile: Add build hardening

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 26 Feb 2015 15:32:46 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: cl-sql
 Section: lisp
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
+Maintainer: Kevin M. Rosenberg <kmr@debian.org>
 Build-Depends: dh-lisp, debhelper (>= 7.0.0), libmysqlclient-dev, libpq-dev
 Standards-Version: 3.9.5.0
-Homepage: http://clsql.b9.com/
-Vcs-Git: git://git.b9.com/clsql.git
-Vcs-Browser: http://git.b9.com/?p=clsql.git
+Homepage: http://clsql.kpe.io/
+Vcs-Git: git://git.kpe.io/clsql.git
+Vcs-Browser: http://git.kpe.io/?p=clsql.git
 
 Package: cl-sql
 Architecture: all

## cl-sql 6.7.0

=== db-mysql/Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 	    -gcc $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) $(LDFLAGS32) -o $(shared_lib)
           else
 	    gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
-	    gcc -m32 $(LDFLAGS) -fPIC  -shared -Wl,-soname=$(base) -lc $(object) $(LDFLAGS) -o $(shared_lib)
+	    gcc -fPIC -shared -Wl,-soname=$(base)  $(object) $(LDFLAGS) -o $(shared_lib)
           endif
         endif
       endif

=== db-oracle/Makefile ===
#!/usr/bin/make
##########################################################################
# FILE IDENTIFICATION
#
#  Name:    Makefile
#  Purpose: Makefile for CLSQL Oracle interface
#  Author:  Kevin M. Rosenberg
#  Created: May 2004
#
# This file, part of CLSQL, is Copyright (c) 2004 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
##########################################################################


SUBDIRS=

include ../Makefile.common

.PHONY: distclean
distclean: clean

=== db-sqlite/Makefile ===
#!/usr/bin/make
##########################################################################
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for CLSQL SQLITE interface
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
# This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
##########################################################################

SUBDIRS=

include ../Makefile.common

.PHONY: distclean
distclean: clean

=== doc/Makefile ===
#!/usr/bin/make
###############################################################################
# FILE IDENTIFICATION
# 
#  Name:         Makefile
#  Purpose:      Makefile for the clsql documentation
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
# This file, part of CLSQL, is Copyright (c) 2002-2010 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
###############################################################################

DOCFILE_BASE_DEFAULT:=clsql
DOCFILE_EXT_DEFAULT:=xml


# Standard docfile processing

DEBIAN=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Debian.*')
SUSE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE.*')
SUSE91=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE Linux 9.1.*')
REDHAT=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Red Hat.*')
MANDRAKE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Mandrake.*')
DARWIN=$(shell expr "`uname -a`" : '.*Darwin.*')
UBUNTU=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Ubuntu.*')


ifneq (${DEBIAN},0)
OS:=debian
else
  ifneq (${SUSE91},0)
    OS=suse91
  else
    ifneq (${SUSE},0)
      OS=suse
    else   
      ifneq (${REDHAT},0)
        OS=redhat
      else   
        ifneq (${MANDRAKE},0)
          OS=mandrake
	else   
          ifneq (${DARWIN},0)
            OS=darwin
	  else
	    ifneq (${UBUNTU},0)
		OS:=debian
	    endif
	  endif 
        endif
      endif
    endif
  endif
endif

ifndef DOCFILE_BASE
DOCFILE_BASE=${DOCFILE_BASE_DEFAULT}
endif

ifndef DOCFILE_EXT
DOCFILE_EXT=${DOCFILE_EXT_DEFAULT}
endif

DOCFILE:=${DOCFILE_BASE}.${DOCFILE_EXT}
FOFILE:=${DOCFILE_BASE}.fo
PDFFILE:=${DOCFILE_BASE}.pdf
PSFILE:=${DOCFILE_BASE}.ps
DVIFILE:=${DOCFILE_BASE}.dvi
TXTFILE:=${DOCFILE_BASE}.txt
HTMLFILE:=${DOCFILE_BASE}.html
TMPFILES:=${DOCFILE_BASE}.aux ${DOCFILE_BASE}.out ${DOCFILE_BASE}.log
DOCFILES:=$(shell echo *.xml *.xsl)

ifeq ($(XSLTPROC),)
  XSLTPROC:=xsltproc
endif

CATALOG:=`pwd`/catalog-${OS}.xml
CHECK:=XML_CATALOG_FILES="$(CATALOG)" xmllint --noout --xinclude --postvalid $(DOCFILE) || exit 1

.PHONY: all
all: html pdf 

.PHONY: dist
dist: html pdf

.PHONY: doc
doc: html pdf

.PHONY: check
check:
	@echo "Operating system detected: ${OS}"
	@$(CHECK)

.PHONY: html
html: html.tar.gz

html.tar.gz: $(DOCFILES) Makefile 
	@rm -rf html
	@mkdir html
	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding UTF-8 \
		 --xinclude --output html/ html_chunk.xsl $(DOCFILE)
	@GZIP='-9' tar czf html.tar.gz html 

.PHONY: fo
fo: ${FOFILE}

${FOFILE}: $(DOCFILES) Makefile 
	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --stringparam fop1.extensions 1 --output $(FOFILE) fo.xsl $(DOCFILE)

.PHONY: pdf
pdf: ${PDFFILE}

${PDFFILE}: ${DOCFILES} Makefile
	@$(MAKE) fo
	@fop $(FOFILE) -pdf $(PDFFILE) > /dev/null

.PHONY: dvi
dvi: ${DVIFILE}

.PHONY: ps
ps: ${PSFILE}

${PSFILE}: ${DOCFILES} Makefile
	@$(MAKE) fo
	@fop $(FOFILE) -ps $(PSFILE) > /dev/null


.PHONY: txt
txt: ${TXTFILE}

${TXTFILE}: ${FOFILE}
	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --output ${HTMLFILE} html.xsl $(DOCFILE)
	lynx -dump ${HTMLFILE} > ${TXTFILE}

.PHONY: clean
clean: 
	@rm -f *~ *.bak *.orig \#*\# .\#* texput.log
	@rm -rf html ${PSFILE} ${HTMLFILE}
	@rm -f ${TMPFILES} ${FOFILE}
	@rm -f  ${DVIFILE} ${TXTFILE}

.PHONY: distclean
distclean: clean

=== debian/changelog ===
cl-sql (6.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch (Build-)Depends to default-libmysqlclient-dev.  (Closes: #845830)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Jan 2017 00:29:15 +0100

cl-sql (6.7.0-1) unstable; urgency=medium

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 26 Jan 2016 14:40:50 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: extra
 Maintainer: Kevin M. Rosenberg <kmr@debian.org>
-Build-Depends: dh-lisp, debhelper (>= 7.0.0), libmysqlclient-dev, libpq-dev
+Build-Depends: dh-lisp, debhelper (>= 7.0.0), default-libmysqlclient-dev, libpq-dev
 Standards-Version: 3.9.5.0
 Homepage: http://clsql.kpe.io/
 Vcs-Git: git://git.kpe.io/clsql.git
@@ -28,7 +28,7 @@
 
 Package: cl-sql-mysql
 Architecture: any
-Depends: cl-sql (= ${source:Version}), cl-sql-uffi (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libmysqlclient-dev
+Depends: cl-sql (= ${source:Version}), cl-sql-uffi (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, default-libmysqlclient-dev
 Provides: cl-sql-backend
 Description: CLSQL database backend, MySQL
  This package enables you to use the CLSQL data access package

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,6 @@
 build-arch: build-arch-stamp
 build-arch-stamp:
 	dh_testdir
-	# env LDFLAGS=`pkg-buildflags --get LDFLAGS` $(MAKE)
 	$(MAKE)
 	touch build-arch-stamp
 
@@ -86,19 +85,17 @@
 	rm -rf doc/html
 	dh_clean
 
-install: DH_OPTIONS=
-install: build
+install: DH_OPTIONS= install-indep install-arch
+
+install-indep: 
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
-
 	dh_installdirs --all $(clc-source)
 	dh_installdirs -p $(pkg) $(lispdir-sql) etc
-	dh_installdirs -p $(pkg-uffi) $(lispdir-uffi) $(sodir-uffi)
 	dh_installdirs -p $(pkg-pg) $(lispdir-pg)
 	dh_installdirs -p $(pkg-pg-socket) $(lispdir-pg-socket)
-	dh_installdirs -p $(pkg-mysql) $(lispdir-mysql) $(sodir-mysql)
 	dh_installdirs -p $(pkg-aodbc) $(lispdir-aodbc)
 	dh_installdirs -p $(pkg-odbc) $(lispdir-odbc)
 	dh_installdirs -p $(pkg-sqlite) $(lispdir-sqlite)
@@ -111,15 +108,6 @@
 	dh_install -p $(pkg) clsql.asd $(clc-clsql)
 	dh_install -p $(pkg) debian/clsql-init.lisp etc
 
-	# UFFI
-	dh_install -p $(pkg-uffi) $(srcs-uffi) $(lispdir-uffi)
-	dh_install -p $(pkg-uffi) $(srcs-uffi-so) $(sodir-uffi)
-	dh_install -p $(pkg-uffi) clsql-uffi.asd $(clc-uffi)
-
-	# Backends
-	dh_install -p $(pkg-mysql) $(srcs-mysql) $(lispdir-mysql)
-	dh_install -p $(pkg-mysql) clsql-mysql.asd $(clc-mysql)
-	dh_install -p $(pkg-mysql) $(srcs-mysql-so) $(sodir-mysql)
 	dh_install -p $(pkg-pg) $(srcs-pg) $(lispdir-pg)
 	dh_install -p $(pkg-pg) clsql-postgresql.asd $(clc-pg)
 	dh_install -p $(pkg-pg-socket) $(srcs-pg-socket) $(lispdir-pg-socket)
@@ -142,7 +130,26 @@
 	rm -rf doc/html
 	(cd doc; tar xzf html.tar.gz; cd ..)
 
-binary-indep: install
+install-arch: 
+	dh_testdir
+	dh_testroot
+	dh_prep
+	dh_installdirs
+
+	dh_installdirs -p $(pkg-uffi) $(lispdir-uffi) $(sodir-uffi)
+	dh_installdirs -p $(pkg-mysql) $(lispdir-mysql) $(sodir-mysql)
+
+	# UFFI
+	dh_install -p $(pkg-uffi) $(srcs-uffi) $(lispdir-uffi)
+	dh_install -p $(pkg-uffi) $(srcs-uffi-so) $(sodir-uffi)
+	dh_install -p $(pkg-uffi) clsql-uffi.asd $(clc-uffi)
+
+	# Backends
+	dh_install -p $(pkg-mysql) $(srcs-mysql) $(lispdir-mysql)
+	dh_install -p $(pkg-mysql) clsql-mysql.asd $(clc-mysql)
+	dh_install -p $(pkg-mysql) $(srcs-mysql-so) $(sodir-mysql)
+
+binary-indep: install-indep
 	dh_testdir -i
 	dh_testroot -i
 	dh_installdocs -i -p $(pkg) doc/html doc/clsql.pdf
@@ -156,7 +163,7 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-binary-arch: install
+binary-arch: install-arch
 	dh_testdir -a
 	dh_testroot -a
 	dh_installdocs -a

## cl-sql 6.7.0.1

=== debian/changelog ===
cl-sql (6.7.0.1-1) unstable; urgency=medium

  * Clean source file package
  * Update Debian compatibility

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 20 Jul 2020 19:53:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: cl-sql
 Section: lisp
-Priority: extra
+Priority: optional
 Maintainer: Kevin M. Rosenberg <kmr@debian.org>
 Build-Depends: dh-lisp, debhelper (>= 7.0.0), default-libmysqlclient-dev, libpq-dev
-Standards-Version: 3.9.5.0
+Standards-Version: 4.5.0.2
 Homepage: http://clsql.kpe.io/
 Vcs-Git: git://git.kpe.io/clsql.git
 Vcs-Browser: http://git.kpe.io/?p=clsql.git

=== debian/rules ===
--- 
+++ 
@@ -83,7 +83,7 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 	find . -type f -and -name \*~ -or -name .\*~ -exec rm -f {} \;
 	rm -rf doc/html
-	dh_clean
+	dh_clean db-mysql/clsql_mysql.dll uffi/clsql_uffi.dll
 
 install: DH_OPTIONS= install-indep install-arch

## cl-sql 6.7.1

=== uffi/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 ifneq ($(OS_DPKG_BUILDFLAGS),0)
   CFLAGS:=$(CFLAGS) $(shell dpkg-buildflags --get CFLAGS)
-  LDFLAGS:=$(LDFLAGS) $(shell dpkg-buildflags --get LDFLAGS | sed "/-Wl,\(.*\)/ s//\1/")
+  LDFLAGS:=$(LDFLAGS) $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie dpkg-buildflags --get LDFLAGS | sed "s/-Wl\|,/ /ig")
 endif
 
 
@@ -55,11 +55,11 @@
         else
           ifneq ($(OS_LINUX64),0)
 	    gcc $(CFLAGS) -fPIC -DPIC -c $(source) -o $(object)
-	    ld $(LDFLAGS) -shared -soname=$(base) -lc $(object) -o $(shared64_lib)
+	    gcc $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) -o $(shared64_lib)
 	    rm -f $(object)
 	    @echo "Ensure that you have multiarch i386 build tools if you want to build 32-bit library"
 	    -gcc -m32 $(CFLAGS) -fPIC -DPIC -c $(source) -o $(object)
-	    -ld -melf_i386 $(LDFLAGS) -shared -soname=$(base) -lc $(object) -o $(shared_lib)
+	    -gcc -m32 $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) -o $(shared_lib)
           else
 	    gcc -fPIC -DPIC -c $(source) -o $(object)
 	    ld -shared -soname=$(base) -lc $(object) -o $(shared_lib)

=== debian/changelog ===
cl-sql (6.7.1-3) unstable; urgency=medium

  * Remove cl-sql-sqlite from cl-sql-tests dependencies (closes: 973358)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 29 Oct 2020 17:35:49 +0000

cl-sql (6.7.1-2) unstable; urgency=medium

  * Remove cl-sql-sqlite binary package (closes: 972124)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 13 Oct 2020 02:51:11 +0000

cl-sql (6.7.1-1) unstable; urgency=medium

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 01 Oct 2020 16:39:41 +0000

cl-sql (6.7.0.1-2) unstable; urgency=medium

  * Source only package upload (closes: 970609)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Sep 2020 20:42:03 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: lisp
 Priority: optional
 Maintainer: Kevin M. Rosenberg <kmr@debian.org>
-Build-Depends: dh-lisp, debhelper (>= 7.0.0), default-libmysqlclient-dev, libpq-dev
-Standards-Version: 4.5.0.2
+Build-Depends: dh-lisp, debhelper (>= 11.0.0), default-libmysqlclient-dev, libpq-dev
+Standards-Version: 4.5.0.3
 Homepage: http://clsql.kpe.io/
 Vcs-Git: git://git.kpe.io/clsql.git
 Vcs-Browser: http://git.kpe.io/?p=clsql.git
@@ -74,15 +74,6 @@
  server.
  CLSQL is a Common Lisp interface to SQL databases.
 
-Package: cl-sql-sqlite
-Architecture: all
-Depends: cl-sql (= ${source:Version}), libsqlite0-dev, cl-sql-uffi (>= ${source:Version}), ${misc:Depends}
-Provides: cl-sql-backend
-Description: CLSQL database backend, SQLite
- This package enables you to use the CLSQL data access package
- with SQLite databases. 
- CLSQL is a Common Lisp interface to SQL databases.
-
 Package: cl-sql-sqlite3
 Architecture: all
 Depends: cl-sql (= ${source:Version}), libsqlite3-dev, cl-sql-uffi (>= ${source:Version}), ${misc:Depends}
@@ -104,7 +95,7 @@
 
 Package: cl-sql-tests
 Architecture: all
-Depends: cl-sql, cl-sql-postgresql, cl-sql-postgresql-socket, cl-sql-mysql, cl-sql-sqlite, cl-sql-odbc, cl-rt, ${misc:Depends}
+Depends: cl-sql, cl-sql-postgresql, cl-sql-postgresql-socket, cl-sql-mysql, cl-sql-sqlite3, cl-sql-odbc, cl-rt, ${misc:Depends}
 Suggests: acl-installer, libmyodbc, unixodbc,cl-sql-aodbc 
 Description: Testing suite for CLSQL
  This package contains a test suite for CLSQL. It requires manual

=== debian/watch ===
version=3
http://files.kpe.io/clsql/clsql-([\d\.]*)\.tar\.gz	debian	uupdate

## cl-sql 6.7.2

=== db-mysql/Makefile ===
--- 
+++ 
@@ -66,9 +66,9 @@
 	    gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
 	    gcc $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) -o $(shared64_lib)
 	    rm $(object)
-	    @echo "Ensure that you have multiarch i386 build tools and libraries if you want to build 32-bit library"
-	    -gcc $(CFLAGS32) -fPIC -c $(source) -o $(object)
-	    -gcc $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) $(LDFLAGS32) -o $(shared_lib)
+	    #@echo "Ensure that you have multiarch i386 build tools and libraries if you want to build 32-bit library"
+	    #-gcc $(CFLAGS32) -fPIC -c $(source) -o $(object)
+	    #-gcc $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) $(LDFLAGS32) -o $(shared_lib)
           else
 	    gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
 	    gcc -fPIC -shared -Wl,-soname=$(base)  $(object) $(LDFLAGS) -o $(shared_lib)

=== tests/Makefile ===
#!/usr/bin/make
##########################################################################
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for CLSQL tests
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
# This file is part of CLSQL
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
##########################################################################


SUBDIRS=

include ../Makefile.common

.PHONY: distclean
distclean: clean

=== uffi/Makefile ===
--- 
+++ 
@@ -57,9 +57,9 @@
 	    gcc $(CFLAGS) -fPIC -DPIC -c $(source) -o $(object)
 	    gcc $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) -o $(shared64_lib)
 	    rm -f $(object)
-	    @echo "Ensure that you have multiarch i386 build tools if you want to build 32-bit library"
-	    -gcc -m32 $(CFLAGS) -fPIC -DPIC -c $(source) -o $(object)
-	    -gcc -m32 $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) -o $(shared_lib)
+	    #@echo "Ensure that you have multiarch i386 build tools if you want to build 32-bit library"
+	    #-gcc -m32 $(CFLAGS) -fPIC -DPIC -c $(source) -o $(object)
+	    #-gcc -m32 $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) -o $(shared_lib)
           else
 	    gcc -fPIC -DPIC -c $(source) -o $(object)
 	    ld -shared -soname=$(base) -lc $(object) -o $(shared_lib)

=== debian/changelog ===
cl-sql (6.7.2-1.1build1) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:44:13 -0500

cl-sql (6.7.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1027261)

 -- Paul Gevers <elbrus@debian.org>  Thu, 29 Dec 2022 08:07:41 +0100

cl-sql (6.7.2-1) unstable; urgency=medium

  * LICENSE: CLSQL is now licensed under MIT license

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 29 Oct 2022 04:30:27 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,10 @@
 pkg-pg-socket	:= cl-sql-postgresql-socket
 pkg-aodbc	:= cl-sql-aodbc
 pkg-odbc	:= cl-sql-odbc
-pkg-sqlite	:= cl-sql-sqlite
 pkg-sqlite3	:= cl-sql-sqlite3
 pkg-oracle	:= cl-sql-oracle
 pkg-tests	:= cl-sql-tests
-all-pkgs	:= $(pkg) $(pkg-uffi) $(pkg-mysql) $(pkg-pg) $(pkg-pg-socket) $(pkg-aodbc) $(pkg-odbc) $(pkg-sqlite) $(pkg-sqlite3) $(pkg-tests)
+all-pkgs	:= $(pkg) $(pkg-uffi) $(pkg-mysql) $(pkg-pg) $(pkg-pg-socket) $(pkg-aodbc) $(pkg-odbc) $(pkg-sqlite3) $(pkg-tests)
 
 
 UPSTREAM_VER	:= $(shell sed -n -e "s/${pkg} (\(.*\)-[0-9A-Za-z\.]).*/\1/p" < debian/changelog |head -1)
@@ -28,7 +27,6 @@
 srcs-pg-socket	:= $(wildcard db-postgresql-socket/*.lisp)
 srcs-aodbc	:= $(wildcard db-aodbc/*.lisp)
 srcs-odbc	:= $(wildcard db-odbc/*.lisp)
-srcs-sqlite	:= $(wildcard db-sqlite/*.lisp)
 srcs-sqlite3	:= $(wildcard db-sqlite3/*.lisp)
 srcs-oracle	:= $(wildcard db-oracle/*.lisp)
 srcs-tests	:= $(wildcard tests/*.lisp)
@@ -56,8 +54,6 @@
 lispdir-aodbc	:= $(clc-aodbc)/db-aodbc
 clc-odbc	:= $(clc-source)/clsql-odbc
 lispdir-odbc	:= $(clc-odbc)/db-odbc
-clc-sqlite	:= $(clc-source)/clsql-sqlite
-lispdir-sqlite	:= $(clc-sqlite)/db-sqlite
 clc-sqlite3	:= $(clc-source)/clsql-sqlite3
 lispdir-sqlite3	:= $(clc-sqlite3)/db-sqlite3
 clc-oracle	:= $(clc-source)/clsql-oracle
@@ -98,7 +94,6 @@
 	dh_installdirs -p $(pkg-pg-socket) $(lispdir-pg-socket)
 	dh_installdirs -p $(pkg-aodbc) $(lispdir-aodbc)
 	dh_installdirs -p $(pkg-odbc) $(lispdir-odbc)
-	dh_installdirs -p $(pkg-sqlite) $(lispdir-sqlite)
 	dh_installdirs -p $(pkg-sqlite3) $(lispdir-sqlite3)
 	dh_installdirs -p $(pkg-oracle) $(lispdir-oracle)
 	dh_installdirs -p $(pkg-tests) $(lispdir-tests)
@@ -116,8 +111,6 @@
 	dh_install -p $(pkg-aodbc) clsql-aodbc.asd $(clc-aodbc)
 	dh_install -p $(pkg-odbc) $(srcs-odbc) $(lispdir-odbc)
 	dh_install -p $(pkg-odbc) clsql-odbc.asd $(clc-odbc)
-	dh_install -p $(pkg-sqlite) $(srcs-sqlite) $(lispdir-sqlite)
-	dh_install -p $(pkg-sqlite) clsql-sqlite.asd $(clc-sqlite)
 	dh_install -p $(pkg-sqlite3) $(srcs-sqlite3) $(lispdir-sqlite3)
 	dh_install -p $(pkg-sqlite3) clsql-sqlite3.asd $(clc-sqlite3)
 	dh_install -p $(pkg-oracle) $(srcs-oracle) $(lispdir-oracle)
